Subject: Re: bug#43949: Strange behaviour for linum-mode

From: Robert Pluim <[email-masked]>
Date: Tue, 13 Oct 2020 09:30:49 +0200

>>>>> On Tue, 13 Oct 2020 07:33:26 +0200, Pedro Andres Aranda Gutierrez <[email-masked]> said:

    Pedro> Cool!
    Pedro> Thanks for the tip!

    Pedro> linum-format is +/-  display-line-numbers-width
    Pedro> You can control things like having a space after the line number or not a
    Pedro> little bit better

I can see how people might want that, but I think the current setup
looks good, and since the line number calculation and display runs
during redisplay, I donʼt think we want too much flexibility, as that
could slow it down.

Having said that, eliminating that space seems to work, but it does
make the display look very squashed. Eli, what do you think of
a configuration variable allowing that space to be narrower?

Robert
--